/api/v1/meta/schemas/user/linkedObjects
Success
application/json
LinkedObject
| Property | Type | Required |
|---|---|---|
| _links | object | optional |
| primary | object | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ title | string | optional |
| └ description | string | optional |
| associated | object | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ title | string | optional |
| └ description | string | optional |
Created
POST /api/v1/meta/schemas/user/linkedObjects
/api/v1/meta/schemas/user/linkedObjects/{linkedObjectName}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| linkedObjectName | path | required | string | — |
No Content
DELETE /api/v1/meta/schemas/user/linkedObjects/{linkedObjectName}
/api/v1/meta/schemas/user/linkedObjects/{linkedObjectName}
Success
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| linkedObjectName | path | required | string | — |
Success
GET /api/v1/meta/schemas/user/linkedObjects/{linkedObjectName}
/api/v1/logs
The Okta System Log API provides read access to your organization’s system log. This API provides more functionality than the Events API
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| since | query | optional | string | — |
| until | query | optional | string | — |
| filter | query | optional | string | — |
| q | query | optional | string | — |
| limit | query | optional | integer | — |
| sortOrder | query | optional | string | — |
| after | query | optional | string | — |
Success
GET /api/v1/logs
/api/v1/zones
Enumerates network zones added to your organization with pagination. A subset of zones can be returned that match a supported filter expression or query.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| after | query | optional | string | Specifies the pagination cursor for the next page of network zones |
| limit | query | optional | integer | Specifies the number of results for a page |
| filter | query | optional | string | Filters zones by usage or id expression |
Success
GET /api/v1/zones
/api/v1/zones
Adds a new network zone to your Okta organization.
application/json
NetworkZone
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| asns | array | optional |
| name | string | optional |
| type | string | optional |
| usage | string | optional |
| _links | object | optional |
| status | string | optional |
| system | boolean | optional |
| created | string | optional |
| proxies | array | optional |
| └ type | string | optional |
| └ value | string | optional |
| gateways | array | optional |
| └ type | string | optional |
| └ value | string | optional |
| locations | array | optional |
| └ region | string | optional |
| └ country | string | optional |
| proxyType | string | optional |
| lastUpdated | string | optional |
Success
POST /api/v1/zones
/api/v1/zones/{zoneId}
Removes network zone.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| zoneId | path | required | string | — |
Success
DELETE /api/v1/zones/{zoneId}
/api/v1/zones/{zoneId}
Fetches a network zone from your Okta organization by id.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| zoneId | path | required | string | — |
Success
GET /api/v1/zones/{zoneId}
/api/v1/zones/{zoneId}
Updates a network zone in your organization.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| zoneId | path | required | string | — |
application/json
NetworkZone
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| asns | array | optional |
| name | string | optional |
| type | string | optional |
| usage | string | optional |
| _links | object | optional |
| status | string | optional |
| system | boolean | optional |
| created | string | optional |
| proxies | array | optional |
| └ type | string | optional |
| └ value | string | optional |
| gateways | array | optional |
| └ type | string | optional |
| └ value | string | optional |
| locations | array | optional |
| └ region | string | optional |
| └ country | string | optional |
| proxyType | string | optional |
| lastUpdated | string | optional |
Success
PUT /api/v1/zones/{zoneId}
/api/v1/zones/{zoneId}/lifecycle/activate
Activate Network Zone
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| zoneId | path | required | string | — |
Success
POST /api/v1/zones/{zoneId}/lifecycle/activate
/api/v1/zones/{zoneId}/lifecycle/deactivate
Deactivates a network zone.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| zoneId | path | required | string | — |
Success
POST /api/v1/zones/{zoneId}/lifecycle/deactivate
/api/v1/org
Get settings of your organization.
Success
GET /api/v1/org
/api/v1/org
Partial update settings of your organization.
application/json
OrgSetting
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| city | string | optional |
| state | string | optional |
| _links | object | optional |
| status | string | optional |
| country | string | optional |
| created | string | optional |
| website | string | optional |
| address1 | string | optional |
| address2 | string | optional |
| expiresAt | string | optional |
| subdomain | string | optional |
| postalCode | string | optional |
| companyName | string | optional |
| lastUpdated | string | optional |
| phoneNumber | string | optional |
| supportPhoneNumber | string | optional |
| endUserSupportHelpURL | string | optional |
Success
POST /api/v1/org
/api/v1/org
Update settings of your organization.
application/json
OrgSetting
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| city | string | optional |
| state | string | optional |
| _links | object | optional |
| status | string | optional |
| country | string | optional |
| created | string | optional |
| website | string | optional |
| address1 | string | optional |
| address2 | string | optional |
| expiresAt | string | optional |
| subdomain | string | optional |
| postalCode | string | optional |
| companyName | string | optional |
| lastUpdated | string | optional |
| phoneNumber | string | optional |
| supportPhoneNumber | string | optional |
| endUserSupportHelpURL | string | optional |
Success
PUT /api/v1/org
/api/v1/org/contacts
Gets Contact Types of your organization.
Success
GET /api/v1/org/contacts
/api/v1/org/contacts/{contactType}
Retrieves the URL of the User associated with the specified Contact Type.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| contactType | path | required | string | — |
Success
GET /api/v1/org/contacts/{contactType}
/api/v1/org/contacts/{contactType}
Updates the User associated with the specified Contact Type.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| contactType | path | required | string | — |
application/json
UserIdString
| Property | Type | Required |
|---|---|---|
| userId | string | optional |
Success
PUT /api/v1/org/contacts/{contactType}
/api/v1/org/logo
Updates the logo for your organization.
multipart/form-data
ApplicationUpdateLogoRequest
| Property | Type | Required |
|---|---|---|
| file | string | required |
Created
POST /api/v1/org/logo
/api/v1/org/preferences
Gets preferences of your organization.
Success
GET /api/v1/org/preferences
/api/v1/org/preferences/hideEndUserFooter
Hide the Okta UI footer for all end users of your organization.
Success
POST /api/v1/org/preferences/hideEndUserFooter
/api/v1/org/preferences/showEndUserFooter
Makes the Okta UI footer visible for all end users of your organization.
Success
POST /api/v1/org/preferences/showEndUserFooter
/api/v1/org/privacy/oktaCommunication
Gets Okta Communication Settings of your organization.
Success
GET /api/v1/org/privacy/oktaCommunication
/api/v1/org/privacy/oktaCommunication/optIn
Opts in all users of this org to Okta Communication emails.
Success
POST /api/v1/org/privacy/oktaCommunication/optIn
/api/v1/org/privacy/oktaCommunication/optOut
Opts out all users of this org from Okta Communication emails.
Success
POST /api/v1/org/privacy/oktaCommunication/optOut
/api/v1/org/privacy/oktaSupport
Gets Okta Support Settings of your organization.
Success
GET /api/v1/org/privacy/oktaSupport
/api/v1/org/privacy/oktaSupport/extend
Extends the length of time that Okta Support can access your org by 24 hours. This means that 24 hours are added to the remaining access time.
Success
POST /api/v1/org/privacy/oktaSupport/extend
/api/v1/org/privacy/oktaSupport/grant
Enables you to temporarily allow Okta Support to access your org as an administrator for eight hours.
Success
POST /api/v1/org/privacy/oktaSupport/grant
/api/v1/org/privacy/oktaSupport/revoke
Revokes Okta Support access to your organization.
Success
POST /api/v1/org/privacy/oktaSupport/revoke
/api/v1/policies
Gets all policies with the specified type.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| type | query | required | string | — |
| status | query | optional | string | — |
| expand | query | optional | string | — |
Success
GET /api/v1/policies
/api/v1/policies
Creates a policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| activate | query | optional | boolean | — |
application/json
Policy
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| type | string | optional |
| _links | object | optional |
| status | string | optional |
| system | boolean | optional |
| created | string | optional |
| priority | integer | optional |
| _embedded | object | optional |
| conditions | object | optional |
| └ app | object | optional |
| └ exclude | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ apps | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ risk | object | optional |
| └ behaviors | array | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ inactivity | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ passwordExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleStatus | string | optional |
| └ userLifecycleAttribute | object | optional |
| └ attributeName | string | optional |
| └ matchingValue | string | optional |
| └ device | object | optional |
| └ rooted | boolean | optional |
| └ migrated | boolean | optional |
| └ platform | object | optional |
| └ types | array | optional |
| └ supportedMDMFrameworks | array | optional |
| └ trustLevel | string | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ people | object | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ scopes | object | optional |
| └ include | array | optional |
| └ clients | object | optional |
| └ include | array | optional |
| └ context | object | optional |
| └ expression | string | optional |
| └ network | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ connection | string | optional |
| └ platform | object | optional |
| └ exclude | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ riskScore | object | optional |
| └ level | string | optional |
| └ grantTypes | object | optional |
| └ include | array | optional |
| └ userStatus | object | optional |
| └ value | string | optional |
| └ authContext | object | optional |
| └ authType | string | optional |
| └ authProvider | object | optional |
| └ include | array | optional |
| └ provider | string | optional |
| └ mdmEnrollment | object | optional |
| └ enrollment | string | optional |
| └ blockNonSafeAndroid | boolean | optional |
| └ userIdentifier | object | optional |
| └ type | string | optional |
| └ patterns | array | optional |
| └ value | string | optional |
| └ matchType | string | optional |
| └ attribute | string | optional |
| └ identityProvider | object | optional |
| └ idpIds | array | optional |
| └ provider | string | optional |
| └ …1 more | object | optional |
| description | string | optional |
| lastUpdated | string | optional |
Success
POST /api/v1/policies
/api/v1/policies/{policyId}
Removes a policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
Success
DELETE /api/v1/policies/{policyId}
/api/v1/policies/{policyId}
Gets a policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
| expand | query | optional | string | — |
Success
GET /api/v1/policies/{policyId}
/api/v1/policies/{policyId}
Updates a policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
application/json
Policy
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| type | string | optional |
| _links | object | optional |
| status | string | optional |
| system | boolean | optional |
| created | string | optional |
| priority | integer | optional |
| _embedded | object | optional |
| conditions | object | optional |
| └ app | object | optional |
| └ exclude | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ apps | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ risk | object | optional |
| └ behaviors | array | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ inactivity | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ passwordExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleStatus | string | optional |
| └ userLifecycleAttribute | object | optional |
| └ attributeName | string | optional |
| └ matchingValue | string | optional |
| └ device | object | optional |
| └ rooted | boolean | optional |
| └ migrated | boolean | optional |
| └ platform | object | optional |
| └ types | array | optional |
| └ supportedMDMFrameworks | array | optional |
| └ trustLevel | string | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ people | object | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ scopes | object | optional |
| └ include | array | optional |
| └ clients | object | optional |
| └ include | array | optional |
| └ context | object | optional |
| └ expression | string | optional |
| └ network | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ connection | string | optional |
| └ platform | object | optional |
| └ exclude | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ riskScore | object | optional |
| └ level | string | optional |
| └ grantTypes | object | optional |
| └ include | array | optional |
| └ userStatus | object | optional |
| └ value | string | optional |
| └ authContext | object | optional |
| └ authType | string | optional |
| └ authProvider | object | optional |
| └ include | array | optional |
| └ provider | string | optional |
| └ mdmEnrollment | object | optional |
| └ enrollment | string | optional |
| └ blockNonSafeAndroid | boolean | optional |
| └ userIdentifier | object | optional |
| └ type | string | optional |
| └ patterns | array | optional |
| └ value | string | optional |
| └ matchType | string | optional |
| └ attribute | string | optional |
| └ identityProvider | object | optional |
| └ idpIds | array | optional |
| └ provider | string | optional |
| └ …1 more | object | optional |
| description | string | optional |
| lastUpdated | string | optional |
Success
PUT /api/v1/policies/{policyId}
/api/v1/policies/{policyId}/lifecycle/activate
Activates a policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
No Content
POST /api/v1/policies/{policyId}/lifecycle/activate
/api/v1/policies/{policyId}/lifecycle/deactivate
Deactivates a policy.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
No Content
POST /api/v1/policies/{policyId}/lifecycle/deactivate
/api/v1/policies/{policyId}/rules
Enumerates all policy rules.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
Success
GET /api/v1/policies/{policyId}/rules
/api/v1/policies/{policyId}/rules
Creates a policy rule.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
application/json
PolicyRule
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| type | string | optional |
| status | string | optional |
| system | boolean | optional |
| actions | object | optional |
| └ idp | object | optional |
| └ providers | array | optional |
| └ id | string | optional |
| └ type | string | optional |
| └ enroll | object | optional |
| └ self | string | optional |
| └ signon | object | optional |
| └ access | string | optional |
| └ session | object | optional |
| └ usePersistentCookie | boolean | optional |
| └ maxSessionIdleMinutes | integer | optional |
| └ maxSessionLifetimeMinutes | integer | optional |
| └ requireFactor | boolean | optional |
| └ factorLifetime | integer | optional |
| └ factorPromptMode | string | optional |
| └ rememberDeviceByDefault | boolean | optional |
| └ passwordChange | object | optional |
| └ access | string | optional |
| └ selfServiceUnlock | object | optional |
| └ access | string | optional |
| └ selfServicePasswordReset | object | optional |
| └ access | string | optional |
| created | string | optional |
| priority | integer | optional |
| conditions | object | optional |
| └ app | object | optional |
| └ exclude | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ apps | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ risk | object | optional |
| └ behaviors | array | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ inactivity | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ passwordExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleStatus | string | optional |
| └ userLifecycleAttribute | object | optional |
| └ attributeName | string | optional |
| └ matchingValue | string | optional |
| └ device | object | optional |
| └ rooted | boolean | optional |
| └ migrated | boolean | optional |
| └ platform | object | optional |
| └ types | array | optional |
| └ supportedMDMFrameworks | array | optional |
| └ trustLevel | string | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ people | object | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ scopes | object | optional |
| └ include | array | optional |
| └ clients | object | optional |
| └ include | array | optional |
| └ context | object | optional |
| └ expression | string | optional |
| └ network | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ connection | string | optional |
| └ platform | object | optional |
| └ exclude | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ riskScore | object | optional |
| └ level | string | optional |
| └ grantTypes | object | optional |
| └ include | array | optional |
| └ userStatus | object | optional |
| └ value | string | optional |
| └ authContext | object | optional |
| └ authType | string | optional |
| └ authProvider | object | optional |
| └ include | array | optional |
| └ provider | string | optional |
| └ mdmEnrollment | object | optional |
| └ enrollment | string | optional |
| └ blockNonSafeAndroid | boolean | optional |
| └ userIdentifier | object | optional |
| └ type | string | optional |
| └ patterns | array | optional |
| └ value | string | optional |
| └ matchType | string | optional |
| └ attribute | string | optional |
| └ identityProvider | object | optional |
| └ idpIds | array | optional |
| └ provider | string | optional |
| └ …1 more | object | optional |
| lastUpdated | string | optional |
Success
POST /api/v1/policies/{policyId}/rules
/api/v1/policies/{policyId}/rules/{ruleId}
Removes a policy rule.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
| ruleId | path | required | string | — |
No Content
DELETE /api/v1/policies/{policyId}/rules/{ruleId}
/api/v1/policies/{policyId}/rules/{ruleId}
Gets a policy rule.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
| ruleId | path | required | string | — |
Success
GET /api/v1/policies/{policyId}/rules/{ruleId}
/api/v1/policies/{policyId}/rules/{ruleId}
Updates a policy rule.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
| ruleId | path | required | string | — |
application/json
PolicyRule
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| name | string | optional |
| type | string | optional |
| status | string | optional |
| system | boolean | optional |
| actions | object | optional |
| └ idp | object | optional |
| └ providers | array | optional |
| └ id | string | optional |
| └ type | string | optional |
| └ enroll | object | optional |
| └ self | string | optional |
| └ signon | object | optional |
| └ access | string | optional |
| └ session | object | optional |
| └ usePersistentCookie | boolean | optional |
| └ maxSessionIdleMinutes | integer | optional |
| └ maxSessionLifetimeMinutes | integer | optional |
| └ requireFactor | boolean | optional |
| └ factorLifetime | integer | optional |
| └ factorPromptMode | string | optional |
| └ rememberDeviceByDefault | boolean | optional |
| └ passwordChange | object | optional |
| └ access | string | optional |
| └ selfServiceUnlock | object | optional |
| └ access | string | optional |
| └ selfServicePasswordReset | object | optional |
| └ access | string | optional |
| created | string | optional |
| priority | integer | optional |
| conditions | object | optional |
| └ app | object | optional |
| └ exclude | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ apps | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ risk | object | optional |
| └ behaviors | array | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ inactivity | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ passwordExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleExpiration | object | optional |
| └ unit | string | optional |
| └ number | integer | optional |
| └ lifecycleStatus | string | optional |
| └ userLifecycleAttribute | object | optional |
| └ attributeName | string | optional |
| └ matchingValue | string | optional |
| └ device | object | optional |
| └ rooted | boolean | optional |
| └ migrated | boolean | optional |
| └ platform | object | optional |
| └ types | array | optional |
| └ supportedMDMFrameworks | array | optional |
| └ trustLevel | string | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ people | object | optional |
| └ users | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ groups | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ scopes | object | optional |
| └ include | array | optional |
| └ clients | object | optional |
| └ include | array | optional |
| └ context | object | optional |
| └ expression | string | optional |
| └ network | object | optional |
| └ exclude | array | optional |
| └ include | array | optional |
| └ connection | string | optional |
| └ platform | object | optional |
| └ exclude | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ include | array | optional |
| └ os | object | optional |
| └ type | string | optional |
| └ riskScore | object | optional |
| └ level | string | optional |
| └ grantTypes | object | optional |
| └ include | array | optional |
| └ userStatus | object | optional |
| └ value | string | optional |
| └ authContext | object | optional |
| └ authType | string | optional |
| └ authProvider | object | optional |
| └ include | array | optional |
| └ provider | string | optional |
| └ mdmEnrollment | object | optional |
| └ enrollment | string | optional |
| └ blockNonSafeAndroid | boolean | optional |
| └ userIdentifier | object | optional |
| └ type | string | optional |
| └ patterns | array | optional |
| └ value | string | optional |
| └ matchType | string | optional |
| └ attribute | string | optional |
| └ identityProvider | object | optional |
| └ idpIds | array | optional |
| └ provider | string | optional |
| └ …1 more | object | optional |
| lastUpdated | string | optional |
Success
PUT /api/v1/policies/{policyId}/rules/{ruleId}
/api/v1/policies/{policyId}/rules/{ruleId}/lifecycle/activate
Activates a policy rule.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
| ruleId | path | required | string | — |
Success
POST /api/v1/policies/{policyId}/rules/{ruleId}/lifecycle/activate
/api/v1/policies/{policyId}/rules/{ruleId}/lifecycle/deactivate
Deactivates a policy rule.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| policyId | path | required | string | — |
| ruleId | path | required | string | — |
No Content
POST /api/v1/policies/{policyId}/rules/{ruleId}/lifecycle/deactivate
/api/v1/mappings
Enumerates Profile Mappings in your organization with pagination.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| after | query | optional | string | — |
| limit | query | optional | integer | — |
| sourceId | query | optional | string | — |
| targetId | query | optional | string | — |
Success
GET /api/v1/mappings
/api/v1/mappings/{mappingId}
Fetches a single Profile Mapping referenced by its ID.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| mappingId | path | required | string | — |
Success
GET /api/v1/mappings/{mappingId}
/api/v1/mappings/{mappingId}
Updates an existing Profile Mapping by adding, updating, or removing one or many Property Mappings.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| mappingId | path | required | string | — |
application/json
ProfileMapping
| Property | Type | Required |
|---|---|---|
| id | string | optional |
| _links | object | optional |
| source | object | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ _links | object | optional |
| target | object | optional |
| └ id | string | optional |
| └ name | string | optional |
| └ type | string | optional |
| └ _links | object | optional |
| properties | object | optional |
Success
POST /api/v1/mappings/{mappingId}
/api/v1/sessions
Creates a new session for a user with a valid session token. Use this API if, for example, you want to set the session cookie yourself instead of allowing Okta to set it, or want to hold the session ID in order to delete a session via the API instead of visiting the logout URL.
application/json
CreateSessionRequest
| Property | Type | Required |
|---|---|---|
| sessionToken | string | optional |
Success
Bad Request
POST /api/v1/sessions
/api/v1/sessions/{sessionId}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| sessionId | path | required | string | — |
No Content
Bad Request
Not Found
DELETE /api/v1/sessions/{sessionId}
/api/v1/sessions/{sessionId}
Get details about a session.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| sessionId | path | required | string | — |
Success
GET /api/v1/sessions/{sessionId}
/api/v1/sessions/{sessionId}/lifecycle/refresh
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| sessionId | path | required | string | — |
Success
Not Found
POST /api/v1/sessions/{sessionId}/lifecycle/refresh
/api/v1/roles/{roleTypeOrRoleId}/subscriptions
When roleType List all subscriptions of a Role. Else when roleId List subscriptions of a Custom Role
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| roleTypeOrRoleId | path | required | string | — |
Success
Not Found
GET /api/v1/roles/{roleTypeOrRoleId}/subscriptions